<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for Get_ActivityList StructType
 * @subpackage Structs
 */
class Get_ActivityList extends AbstractStructBase
{
    /**
     * The Login
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\Login
     */
    public $Login;
    /**
     * The ActivitySelection
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\ActivitySelection
     */
    public $ActivitySelection;
    /**
     * Constructor method for Get_ActivityList
     * @uses Get_ActivityList::setLogin()
     * @uses Get_ActivityList::setActivitySelection()
     * @param \StructType\Login $login
     * @param \StructType\ActivitySelection $activitySelection
     */
    public function __construct(\StructType\Login $login = null, \StructType\ActivitySelection $activitySelection = null)
    {
        $this
            ->setLogin($login)
            ->setActivitySelection($activitySelection);
    }
    /**
     * Get Login value
     * @return \StructType\Login|null
     */
    public function getLogin()
    {
        return $this->Login;
    }
    /**
     * Set Login value
     * @param \StructType\Login $login
     * @return \StructType\Get_ActivityList
     */
    public function setLogin(\StructType\Login $login = null)
    {
        $this->Login = $login;
        return $this;
    }
    /**
     * Get ActivitySelection value
     * @return \StructType\ActivitySelection|null
     */
    public function getActivitySelection()
    {
        return $this->ActivitySelection;
    }
    /**
     * Set ActivitySelection value
     * @param \StructType\ActivitySelection $activitySelection
     * @return \StructType\Get_ActivityList
     */
    public function setActivitySelection(\StructType\ActivitySelection $activitySelection = null)
    {
        $this->ActivitySelection = $activitySelection;
        return $this;
    }
}
